/**
 * Gulp tasks for post building css.
 */
const display = require("./util/display");
const gulp = require("gulp");
const path = require("path");
const uc = require("./util/unite-config");
const cssnano = require("gulp-cssnano");
const gutil = require("gulp-util");
const merge = require("merge2");

gulp.task("build-css-post-components", () => {
    display.info("Running", "CSS None for Components");

    const uniteConfig = uc.getUniteConfig();
    const buildConfiguration = uc.getBuildConfiguration();

    const streams = [];

    streams.push(gulp.src(path.join(uniteConfig.directories.dist, "**/*.css"))
        .pipe(buildConfiguration.minify ? cssnano() : gutil.noop())
        .pipe(gulp.dest(uniteConfig.directories.dist)));

    if (buildConfiguration.minify) {
        streams.push(gulp.src(path.join(uniteConfig.directories.dist, "**/*.css"))
            .pipe(cssnano())
            .pipe(gulp.dest(uniteConfig.directories.cssDist)));
    }

    return merge(streams);
});

/* Generated by UniteJS */
