/**
 * Gulp tasks for e2e testing TypeScript.
 */
const display = require("./util/display");
const uc = require("./util/unite-config");
const gulp = require("gulp");
const path = require("path");
const del = require("del");
const runSequence = require("run-sequence");
require("./e2e-transpile");
require("./e2e-runner");
require("./e2e-lint");
require("./e2e-install");

gulp.task("e2e-clean", (callback) => {
    const uniteConfig = uc.getUniteConfig();
    const toClean = [
        path.join(uniteConfig.directories.e2eTestDist, "**/*.spec.js"),
        path.join(uniteConfig.directories.reports, "e2e/")
    ];
    display.info("Cleaning", toClean);
    return del(toClean, callback);
});

gulp.task("e2e-post-clean", (callback) => {
    const uniteConfig = uc.getUniteConfig();
    const toClean = [path.join(uniteConfig.directories.reports, "e2etemp/")];
    display.info("Cleaning", toClean);
    return del(toClean, callback);
});

gulp.task("e2e", (cb) => {
    runSequence("e2e-clean", "e2e-lint", "e2e-transpile", "e2e-serve", "e2e-run-test", "e2e-post-clean", cb);
});

/* Generated by UniteJS */
