/**
 * Gulp utils for AMD module configuration.
 */
const os = require("os");
const clientPackages = require("./client-packages");

function create (uniteConfig, includeModes, isBundle) {
    const moduleConfig = clientPackages.buildModuleConfig(uniteConfig, includeModes);

    const configMap = {};
    if (moduleConfig.paths.text) {
        configMap.text = moduleConfig.paths.text;
        delete moduleConfig.paths.text;
    }

    const rjsConfig = {
        "paths": moduleConfig.paths,
        "packages": moduleConfig.packages,
        "map": {
            "*": configMap
        }
    };

    const jsonConfig = JSON.stringify(rjsConfig, undefined, "\t");
    const jsonPreload = JSON.stringify(moduleConfig.preload, undefined, "\t");

    let config = `require.config(${jsonConfig});${os.EOL}`;
    config += `preloadModules = ${jsonPreload};${os.EOL}`;

    return config;
}

module.exports = {
    create
};

/* Generated by UniteJS */
