/**
 * Gulp utils for exec.
 */
const child = require("child_process");
const path = require("path");

function npmRun (packageName, args, callback) {
    const winExt = (/^win/).test(process.platform) ? ".cmd" : "";

    const spawnProcess = child.spawn(path.join("node_modules", ".bin", packageName) + winExt, args);

    spawnProcess.stdout.on("data", (data) => {
        process.stdout.write(data);
    });

    spawnProcess.stderr.on("data", (data) => {
        process.stderr.write(data);
    });

    spawnProcess.on("error", () => {
        callback(false);
    });

    spawnProcess.on("close", (exitCode) => {
        callback(exitCode === 0);
    });
}

module.exports = {npmRun};

/* Generated by UniteJS */
